Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.scheduling
Interface ReportSchedulerService

All Known Implementing Classes:
  ReportSchedulerServiceImpl

    public interface ReportSchedulerService

Version:
  $Id: ReportSchedulerService.java 9867 2007-08-31 13:18:39Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`void` | `deleteJob(long id)`
`void` | `deleteJobs(long[] ids)`
`JobSummary[]` | `getAllJobs()`
`Job` | `getJob(long id)`
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)`
`Job` | `scheduleJob(Job job)`
`Job` | `updateJob(Job job)`

Method Detail

### getJob

    Job getJob(long id)
               throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### scheduleJob

    Job scheduleJob(Job job)
                    throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### updateJob

    Job updateJob(Job job)
                  throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### deleteJob

    void deleteJob(long id)
                   throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### deleteJobs

    void deleteJobs(long[] ids)
                    throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### getAllJobs

    JobSummary[] getAllJobs()
                            throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### getReportJobs

    JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.